summaryrefslogtreecommitdiffstats
path: root/audio/faust/faust.SlackBuild
diff options
context:
space:
mode:
author Felix Pfeifer <pfeifer [dot] felix [at] gmail [dot] com>2013-02-11 02:25:51 -0600
committer Erik Hanson <erik@slackbuilds.org>2013-02-14 00:26:55 -0600
commitc8237f9e9d0ea54cc7b34fa79701fb3719c9ea4f (patch)
tree9ba5ed26340a7af4c3aa75710ce6ee3b21aed492 /audio/faust/faust.SlackBuild
parentda8324d07c18e69f80b6dd618fd159c9c5dbebe3 (diff)
downloadslackbuilds-c8237f9e9d0ea54cc7b34fa79701fb3719c9ea4f.tar.gz
slackbuilds-c8237f9e9d0ea54cc7b34fa79701fb3719c9ea4f.tar.xz
audio/faust: Added (Functional Audio Stream)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'audio/faust/faust.SlackBuild')
-rw-r--r--audio/faust/faust.SlackBuild73
1 files changed, 73 insertions, 0 deletions
diff --git a/audio/faust/faust.SlackBuild b/audio/faust/faust.SlackBuild
new file mode 100644
index 0000000000..f76a47f8e7
--- /dev/null
+++ b/audio/faust/faust.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for faust
+
+# Copyright 2013 Felix Pfeifer
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=faust
+VERSION=${VERSION:-0.9.58}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make PREFIX=/usr DESTDIR=$PKG
+make install PREFIX=/usr DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README \
+ WHATSNEW \
+ COPYING \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}